| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Attrib::Output Class Referenceabstract
AttributeEngine

Base class for attribute Output. More...

`#include <attriboutput.h>`

Inheritance diagram for Attrib::Output:
[legend]

## Public Member Functions
| Output ()
virtual void | adjustInlCrlStep (const TrcKeyZSampling &)
virtual void | collectData (const DataHolder &, float step, const SeisTrcInfo &)=0
Pos::GeomID | curGeomID () const
virtual void | deleteTrc ()
virtual uiString | errMsg () const
virtual bool | finishWrite ()
virtual const RegularSeisDataPack * | getDataPack () const
virtual RegularSeisDataPack * | getDataPack (float)
virtual void | getDesiredOutputs (TypeSet< int > &outputs) const
virtual bool | getDesiredVolume (TrcKeyZSampling &) const
virtual TypeSet< Interval< int > > | getLocalZRanges (const Coord &, float, TypeSet< float > &) const =0
virtual TypeSet< Interval< int > > | getLocalZRanges (const TrcKey &, float, TypeSet< float > &) const =0
const Seis::SelData & | getSelData ()
virtual SeisTrc * | getTrc ()
| mOD_DisableCopy (Output) virtual void set2D(bool yn)
void | setDesiredOutputs (const TypeSet< int > &outputs)
virtual bool | useCoords () const =0
virtual bool | wantsOutput (const Coord &) const =0
virtual bool | wantsOutput (const TrcKey &) const =0
virtual bool | writeTrc ()
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Static Public Member Functions
static const char * | cubekey ()
static const char * | outputstr ()
static const char * | scalekey ()
static const char * | surfkey ()
static const char * | tskey ()
static const char * | varzlinekey ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Protected Member Functions
virtual | ~Output ()
void | doSetGeometry (const TrcKeyZSampling &)
void | ensureSelType (Seis::SelType)
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
TypeSet< int > | desoutputs_
bool | is2d_
Seis::SelData * | seldata_

## Detailed Description

Base class for attribute Output.

<>

## Constructor & Destructor Documentation

## ◆ Output()

Attrib::Output::Output | ( |  | ) |

## ◆ ~Output()

virtual Attrib::Output::~Output | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ adjustInlCrlStep()

virtual void Attrib::Output::adjustInlCrlStep | ( | const TrcKeyZSampling & |  | ) |
| inline virtual

Reimplemented in Attrib::DataPackOutput.

## ◆ collectData()

virtual void Attrib::Output::collectData | ( | const DataHolder & | ,
|  | float | step,
|  | const SeisTrcInfo & | )
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TableOutput, and Attrib::TrcSelectionOutput.

## ◆ cubekey()

static const char * Attrib::Output::cubekey | ( |  | ) |
| static

## ◆ curGeomID()

Pos::GeomID Attrib::Output::curGeomID | ( |  | ) | const

## ◆ deleteTrc()

virtual void Attrib::Output::deleteTrc | ( |  | ) |
| inline virtual

Reimplemented in Attrib::SeisTrcStorOutput.

## ◆ doSetGeometry()

void Attrib::Output::doSetGeometry | ( | const TrcKeyZSampling & |  | ) |
| protected

## ◆ ensureSelType()

void Attrib::Output::ensureSelType | ( | Seis::SelType |  | ) |
| protected

## ◆ errMsg()

virtual uiString Attrib::Output::errMsg | ( |  | ) | const
| inline virtual

Reimplemented in Attrib::SeisTrcStorOutput, and Attrib::TwoDOutput.

## ◆ finishWrite()

virtual bool Attrib::Output::finishWrite | ( |  | ) |
| inline virtual

Reimplemented in Attrib::SeisTrcStorOutput, and Attrib::Trc2DVarZStorOutput.

## ◆ getDataPack() [1/2]

virtual const RegularSeisDataPack * Attrib::Output::getDataPack | ( |  | ) | const
| inline virtual

Reimplemented in Attrib::DataPackOutput.

## ◆ getDataPack() [2/2]

virtual RegularSeisDataPack * Attrib::Output::getDataPack | ( | float |  | ) |
| inline virtual

Reimplemented in Attrib::DataPackOutput.

## ◆ getDesiredOutputs()

virtual void Attrib::Output::getDesiredOutputs | ( | TypeSet< int > & | outputs | ) | const
| inline virtual

## ◆ getDesiredVolume()

virtual bool Attrib::Output::getDesiredVolume | ( | TrcKeyZSampling & |  | ) | const
| inline virtual

Reimplemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ getLocalZRanges() [1/2]

virtual TypeSet< Interval< int > > Attrib::Output::getLocalZRanges | ( | const Coord & | ,
|  | float | ,
|  | TypeSet< float > & | ) const
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ getLocalZRanges() [2/2]

virtual TypeSet< Interval< int > > Attrib::Output::getLocalZRanges | ( | const TrcKey & | ,
|  | float | ,
|  | TypeSet< float > & | ) const
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ getSelData()

const Seis::SelData & Attrib::Output::getSelData | ( |  | ) |
| inline

## ◆ getTrc()

virtual SeisTrc * Attrib::Output::getTrc | ( |  | ) |
| inline virtual

Reimplemented in Attrib::SeisTrcStorOutput.

## ◆ mOD_DisableCopy()

Attrib::Output::mOD_DisableCopy | ( | Output |  | ) |
| inline

## ◆ outputstr()

static const char * Attrib::Output::outputstr | ( |  | ) |
| static

## ◆ scalekey()

static const char * Attrib::Output::scalekey | ( |  | ) |
| static

## ◆ setDesiredOutputs()

void Attrib::Output::setDesiredOutputs | ( | const TypeSet< int > & | outputs | ) |
| inline

## ◆ surfkey()

static const char * Attrib::Output::surfkey | ( |  | ) |
| static

## ◆ tskey()

static const char * Attrib::Output::tskey | ( |  | ) |
| static

## ◆ useCoords()

virtual bool Attrib::Output::useCoords | ( |  | ) | const
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ varzlinekey()

static const char * Attrib::Output::varzlinekey | ( |  | ) |
| static

## ◆ wantsOutput() [1/2]

virtual bool Attrib::Output::wantsOutput | ( | const Coord & |  | ) | const
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ wantsOutput() [2/2]

virtual bool Attrib::Output::wantsOutput | ( | const TrcKey & |  | ) | const
| pure virtual

Implemented in Attrib::DataPackOutput, Attrib::SeisTrcStorOutput, Attrib::Trc2DVarZStorOutput, Attrib::TwoDOutput, Attrib::LocationOutput, Attrib::TrcSelectionOutput, and Attrib::TableOutput.

## ◆ writeTrc()

virtual bool Attrib::Output::writeTrc | ( |  | ) |
| inline virtual

Reimplemented in Attrib::SeisTrcStorOutput.

## Member Data Documentation

## ◆ desoutputs_

TypeSet<int> Attrib::Output::desoutputs_
| protected

## ◆ is2d_

bool Attrib::Output::is2d_
| protected

## ◆ seldata_

Seis::SelData* Attrib::Output::seldata_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025